Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpos.profile
Interface DevCatVisitor

All Known Implementing Classes:
  DefaultDevCat

public interface DevCatVisitor

Defines a Visitor interface for the DevCat hiearchy

Since:
  1.3 (SF 2K meeting)
Author:
  E. Michael Maximilien (maxim@us.ibm.com)

Method Summary
`void` | `visitBumpBar(DevCat devCat)` Visits a DevCat
`void` | `visitCashDrawer(DevCat devCat)` Visits a CashDrawer DevCat
`void` | `visitCAT(DevCat devCat)` Visits a CAT DevCat
`void` | `visitCoinDispenser(DevCat devCat)` Visits a CoinDispenser DevCat
`void` | `visitFiscalPrinter(DevCat devCat)` Visits a FiscalPrinter DevCat
`void` | `visitHardTotals(DevCat devCat)` Visits a HardTotals DevCat
`void` | `visitKeylock(DevCat devCat)` Visits a Keylock DevCat
`void` | `visitLineDisplay(DevCat devCat)` Visits a LineDisplay DevCat
`void` | `visitMICR(DevCat devCat)` Visits a MICR DevCat
`void` | `visitMSR(DevCat devCat)` Visits a MSR DevCat
`void` | `visitPinpad(DevCat devCat)` Visits a Pinpad DevCat
`void` | `visitPOSKeyboard(DevCat devCat)` Visits a POSKeyboard DevCat
`void` | `visitPOSPower(DevCat devCat)` Visits a POSPower DevCat
`void` | `visitPOSPrinter(DevCat devCat)` Visits a POSPrinter DevCat
`void` | `visitRemoteOrderDisplay(DevCat devCat)` Visits a RemoteOrderDisplay DevCat
`void` | `visitScanner(DevCat devCat)` Visits a Scanner DevCat
`void` | `visitSignatureCapture(DevCat devCat)` Visits a SignatureCapture DevCat
`void` | `visitToneIndicator(DevCat devCat)` Visits a ToneIndicator DevCat

Method Detail

### visitBumpBar

    public void visitBumpBar(DevCat devCat)

  Visits a DevCat
  Parameters:
    `devCat` - the DevCat

### visitCashDrawer

    public void visitCashDrawer(DevCat devCat)

  Visits a CashDrawer DevCat
  Parameters:
    `devCat` - the DevCat

### visitCAT

    public void visitCAT(DevCat devCat)

  Visits a CAT DevCat
  Parameters:
    `devCat` - the DevCat

### visitCoinDispenser

    public void visitCoinDispenser(DevCat devCat)

  Visits a CoinDispenser DevCat
  Parameters:
    `devCat` - the DevCat

### visitFiscalPrinter

    public void visitFiscalPrinter(DevCat devCat)

  Visits a FiscalPrinter DevCat
  Parameters:
    `devCat` - the DevCat

### visitHardTotals

    public void visitHardTotals(DevCat devCat)

  Visits a HardTotals DevCat
  Parameters:
    `devCat` - the DevCat

### visitKeylock

    public void visitKeylock(DevCat devCat)

  Visits a Keylock DevCat
  Parameters:
    `devCat` - the DevCat

### visitLineDisplay

    public void visitLineDisplay(DevCat devCat)

  Visits a LineDisplay DevCat
  Parameters:
    `devCat` - the DevCat

### visitMICR

    public void visitMICR(DevCat devCat)

  Visits a MICR DevCat
  Parameters:
    `devCat` - the DevCat

### visitMSR

    public void visitMSR(DevCat devCat)

  Visits a MSR DevCat
  Parameters:
    `devCat` - the DevCat

### visitPinpad

    public void visitPinpad(DevCat devCat)

  Visits a Pinpad DevCat
  Parameters:
    `devCat` - the DevCat

### visitPOSKeyboard

    public void visitPOSKeyboard(DevCat devCat)

  Visits a POSKeyboard DevCat
  Parameters:
    `devCat` - the DevCat

### visitPOSPower

    public void visitPOSPower(DevCat devCat)

  Visits a POSPower DevCat
  Parameters:
    `devCat` - the DevCat

### visitPOSPrinter

    public void visitPOSPrinter(DevCat devCat)

  Visits a POSPrinter DevCat
  Parameters:
    `devCat` - the DevCat

### visitRemoteOrderDisplay

    public void visitRemoteOrderDisplay(DevCat devCat)

  Visits a RemoteOrderDisplay DevCat
  Parameters:
    `devCat` - the DevCat

### visitScanner

    public void visitScanner(DevCat devCat)

  Visits a Scanner DevCat
  Parameters:
    `devCat` - the DevCat

### visitSignatureCapture

    public void visitSignatureCapture(DevCat devCat)

  Visits a SignatureCapture DevCat
  Parameters:
    `devCat` - the DevCat

### visitToneIndicator

    public void visitToneIndicator(DevCat devCat)

  Visits a ToneIndicator DevCat
  Parameters:
    `devCat` - the DevCat

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This API and code belongs to the JavaPOS committee please see LISCENCE file for details